using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using BookCommunityClient.AuthWS;
using BookCommunityClient.DataWS;

using System.Data;

namespace BookCommunityClient
{
	/// <summary>
	/// BookRegisterFrm 的摘要说明。
	/// </summary>
	public class BookRegisterFrm : System.Windows.Forms.Form
	{
		#region 自动生成字段
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.Panel pnlHome;
		private System.Windows.Forms.Panel pnlFinish;
		private System.Windows.Forms.Panel pnlFirst;
		private System.Windows.Forms.Panel pnlSecond;
		private System.Windows.Forms.Panel pnlThird;
		private System.Windows.Forms.Button btnPrev;
		private System.Windows.Forms.Button btnNext;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Panel pnlBottom;
		private System.Windows.Forms.PictureBox pbxHome;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Panel pnlTop_First;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Panel pnlFill_First;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Panel pnlTop_Second;
		private System.Windows.Forms.PictureBox pbxPoint_Second;
		private System.Windows.Forms.TabControl tbcMain_Second;
		private System.Windows.Forms.Label label21;
		private System.Windows.Forms.Label label22;
		private System.Windows.Forms.PictureBox pbxPoint_Third;
		private System.Windows.Forms.Panel pnlTop_Third;
		private System.Windows.Forms.Panel pnlTop_Preview;
		private System.Windows.Forms.Button btnFinish;
		private System.Windows.Forms.Label label23;
		private System.Windows.Forms.PictureBox pictureBox2;
		private System.Windows.Forms.TextBox tbxBookNameChn;
		private System.Windows.Forms.TextBox tbxBookNameEng;
		private System.Windows.Forms.TextBox tbxAuthor;
		private System.Windows.Forms.TextBox tbxTranslator;
		private System.Windows.Forms.Label label27;
		private System.Windows.Forms.Label label28;
		private System.Windows.Forms.Label label29;
		private System.Windows.Forms.Label label20;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.Label label24;
		private System.Windows.Forms.Label label25;
		private System.Windows.Forms.TabPage tbpSummary;
		private System.Windows.Forms.TabPage tbpIndex;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.LinkLabel llbSave_Index;
		private System.Windows.Forms.LinkLabel llbEdit_Index;
		private System.Windows.Forms.LinkLabel llbSave_Summary;
		private System.Windows.Forms.LinkLabel llbEdit_Summary;
		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.TabControl tbcMain_BookDetail;
		private System.Windows.Forms.TabPage tbpGeneral_BookDetail;
		private System.Windows.Forms.LinkLabel llbOwner_BookDetail;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.PictureBox pbxCoverPage_BookDetail;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label lblPress_BookDetail;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label lblBookNameChn_BookDetail;
		private System.Windows.Forms.Label lblBookNameEng_BookDetail;
		private System.Windows.Forms.Label lblAuthor_BookDetail;
		private System.Windows.Forms.Label lblTranslator_BookDetail;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Label lblISBN_BookDetail;
		private System.Windows.Forms.TabPage tbpSummary_BookDetail;
		private System.Windows.Forms.TabPage tpIndex_BookDetail;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.ImageList ilRatingIcon;
		private System.Windows.Forms.ComboBox cbbDepreciation;
		private DataSetMessage m_dsMessage;
		private System.Windows.Forms.TextBox tbxISBN;
		private System.Windows.Forms.TextBox tbxPress;
		private System.Windows.Forms.RichTextBox rtbSummary_BookDetail;
		private System.Windows.Forms.RichTextBox rtbIndex_BookDetail;
		private System.Windows.Forms.RichTextBox rtbSummary;
		private System.Windows.Forms.RichTextBox rtbIndex;

		#endregion

		#region 自定义字段
		//当前是第几步
		int stage;

		//Main窗口对象的本地引用
		//书本信息
		private BookInformation m_curBookInfo;
		//用户信息
		private UserInformation m_curUserInfo;
		//书籍封面
		private Image m_curCoverPage;
		//auth服务
		private AuthService m_authSvc;
		//data服务
		private DataService m_dataSvc;
		//ticket
		private string m_authTicket;

		//cache了的ShareInfo
		private DataSetShareInfo m_dsShareInfo ;
		private MainFrm frmMain;
		#endregion

		#region 窗体创建与销毁
		public BookRegisterFrm(MainFrm mainFrm)
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
			this.frmMain = mainFrm;

			this.stage = 0;

			this.m_curBookInfo = mainFrm.CurrentBookInfo;
			this.m_curCoverPage = mainFrm.CurrentCoverPage;
			this.m_curUserInfo = mainFrm.CurrentUserInfo;

			this.m_authSvc = mainFrm.m_authSvc;
			this.m_dataSvc = mainFrm.m_dataSvc;

			this.m_dsShareInfo = null;//indicate that we need to retrieve data

			this.m_authTicket = mainFrm.m_authTicket;

			this.m_dsMessage = mainFrm.DsMessage;
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(BookRegisterFrm));
			this.pnlBottom = new System.Windows.Forms.Panel();
			this.btnSave = new System.Windows.Forms.Button();
			this.btnFinish = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnNext = new System.Windows.Forms.Button();
			this.btnPrev = new System.Windows.Forms.Button();
			this.pnlHome = new System.Windows.Forms.Panel();
			this.label1 = new System.Windows.Forms.Label();
			this.pbxHome = new System.Windows.Forms.PictureBox();
			this.pnlFinish = new System.Windows.Forms.Panel();
			this.label23 = new System.Windows.Forms.Label();
			this.pictureBox2 = new System.Windows.Forms.PictureBox();
			this.pnlFirst = new System.Windows.Forms.Panel();
			this.pnlFill_First = new System.Windows.Forms.Panel();
			this.label27 = new System.Windows.Forms.Label();
			this.label28 = new System.Windows.Forms.Label();
			this.label29 = new System.Windows.Forms.Label();
			this.tbxBookNameChn = new System.Windows.Forms.TextBox();
			this.tbxBookNameEng = new System.Windows.Forms.TextBox();
			this.tbxAuthor = new System.Windows.Forms.TextBox();
			this.tbxTranslator = new System.Windows.Forms.TextBox();
			this.label20 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label13 = new System.Windows.Forms.Label();
			this.label16 = new System.Windows.Forms.Label();
			this.label24 = new System.Windows.Forms.Label();
			this.label25 = new System.Windows.Forms.Label();
			this.tbxISBN = new System.Windows.Forms.TextBox();
			this.tbxPress = new System.Windows.Forms.TextBox();
			this.label14 = new System.Windows.Forms.Label();
			this.cbbDepreciation = new System.Windows.Forms.ComboBox();
			this.pnlTop_First = new System.Windows.Forms.Panel();
			this.label2 = new System.Windows.Forms.Label();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.label3 = new System.Windows.Forms.Label();
			this.pnlSecond = new System.Windows.Forms.Panel();
			this.tbcMain_Second = new System.Windows.Forms.TabControl();
			this.tbpSummary = new System.Windows.Forms.TabPage();
			this.rtbSummary = new System.Windows.Forms.RichTextBox();
			this.panel1 = new System.Windows.Forms.Panel();
			this.llbSave_Summary = new System.Windows.Forms.LinkLabel();
			this.llbEdit_Summary = new System.Windows.Forms.LinkLabel();
			this.tbpIndex = new System.Windows.Forms.TabPage();
			this.rtbIndex = new System.Windows.Forms.RichTextBox();
			this.pnlTop_Preview = new System.Windows.Forms.Panel();
			this.llbSave_Index = new System.Windows.Forms.LinkLabel();
			this.llbEdit_Index = new System.Windows.Forms.LinkLabel();
			this.pnlTop_Second = new System.Windows.Forms.Panel();
			this.label5 = new System.Windows.Forms.Label();
			this.pbxPoint_Second = new System.Windows.Forms.PictureBox();
			this.label6 = new System.Windows.Forms.Label();
			this.pnlThird = new System.Windows.Forms.Panel();
			this.tbcMain_BookDetail = new System.Windows.Forms.TabControl();
			this.tbpGeneral_BookDetail = new System.Windows.Forms.TabPage();
			this.llbOwner_BookDetail = new System.Windows.Forms.LinkLabel();
			this.label7 = new System.Windows.Forms.Label();
			this.pbxCoverPage_BookDetail = new System.Windows.Forms.PictureBox();
			this.button1 = new System.Windows.Forms.Button();
			this.label11 = new System.Windows.Forms.Label();
			this.lblPress_BookDetail = new System.Windows.Forms.Label();
			this.label8 = new System.Windows.Forms.Label();
			this.label9 = new System.Windows.Forms.Label();
			this.label10 = new System.Windows.Forms.Label();
			this.lblBookNameChn_BookDetail = new System.Windows.Forms.Label();
			this.lblBookNameEng_BookDetail = new System.Windows.Forms.Label();
			this.lblAuthor_BookDetail = new System.Windows.Forms.Label();
			this.lblTranslator_BookDetail = new System.Windows.Forms.Label();
			this.label12 = new System.Windows.Forms.Label();
			this.label15 = new System.Windows.Forms.Label();
			this.lblISBN_BookDetail = new System.Windows.Forms.Label();
			this.tbpSummary_BookDetail = new System.Windows.Forms.TabPage();
			this.rtbSummary_BookDetail = new System.Windows.Forms.RichTextBox();
			this.tpIndex_BookDetail = new System.Windows.Forms.TabPage();
			this.rtbIndex_BookDetail = new System.Windows.Forms.RichTextBox();
			this.pnlTop_Third = new System.Windows.Forms.Panel();
			this.label21 = new System.Windows.Forms.Label();
			this.pbxPoint_Third = new System.Windows.Forms.PictureBox();
			this.label22 = new System.Windows.Forms.Label();
			this.ilRatingIcon = new System.Windows.Forms.ImageList(this.components);
			this.pnlBottom.SuspendLayout();
			this.pnlHome.SuspendLayout();
			this.pnlFinish.SuspendLayout();
			this.pnlFirst.SuspendLayout();
			this.pnlFill_First.SuspendLayout();
			this.pnlTop_First.SuspendLayout();
			this.pnlSecond.SuspendLayout();
			this.tbcMain_Second.SuspendLayout();
			this.tbpSummary.SuspendLayout();
			this.panel1.SuspendLayout();
			this.tbpIndex.SuspendLayout();
			this.pnlTop_Preview.SuspendLayout();
			this.pnlTop_Second.SuspendLayout();
			this.pnlThird.SuspendLayout();
			this.tbcMain_BookDetail.SuspendLayout();
			this.tbpGeneral_BookDetail.SuspendLayout();
			this.tbpSummary_BookDetail.SuspendLayout();
			this.tpIndex_BookDetail.SuspendLayout();
			this.pnlTop_Third.SuspendLayout();
			this.SuspendLayout();
			// 
			// pnlBottom
			// 
			this.pnlBottom.BackColor = System.Drawing.SystemColors.Control;
			this.pnlBottom.Controls.Add(this.btnSave);
			this.pnlBottom.Controls.Add(this.btnFinish);
			this.pnlBottom.Controls.Add(this.btnCancel);
			this.pnlBottom.Controls.Add(this.btnNext);
			this.pnlBottom.Controls.Add(this.btnPrev);
			this.pnlBottom.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.pnlBottom.Location = new System.Drawing.Point(0, 350);
			this.pnlBottom.Name = "pnlBottom";
			this.pnlBottom.Size = new System.Drawing.Size(572, 44);
			this.pnlBottom.TabIndex = 1;
			// 
			// btnSave
			// 
			this.btnSave.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnSave.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnSave.Location = new System.Drawing.Point(396, 12);
			this.btnSave.Name = "btnSave";
			this.btnSave.TabIndex = 4;
			this.btnSave.Text = "保存";
			this.btnSave.Visible = false;
			this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
			// 
			// btnFinish
			// 
			this.btnFinish.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnFinish.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnFinish.Location = new System.Drawing.Point(484, 12);
			this.btnFinish.Name = "btnFinish";
			this.btnFinish.TabIndex = 4;
			this.btnFinish.Text = "完成";
			this.btnFinish.Visible = false;
			this.btnFinish.Click += new System.EventHandler(this.btnFinish_Click);
			// 
			// btnCancel
			// 
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnCancel.Location = new System.Drawing.Point(484, 12);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 2;
			this.btnCancel.Text = "取消";
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// btnNext
			// 
			this.btnNext.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnNext.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnNext.Location = new System.Drawing.Point(396, 12);
			this.btnNext.Name = "btnNext";
			this.btnNext.TabIndex = 1;
			this.btnNext.Text = "下一步";
			this.btnNext.Click += new System.EventHandler(this.btnNext_Click);
			// 
			// btnPrev
			// 
			this.btnPrev.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnPrev.Enabled = false;
			this.btnPrev.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnPrev.Location = new System.Drawing.Point(320, 12);
			this.btnPrev.Name = "btnPrev";
			this.btnPrev.TabIndex = 0;
			this.btnPrev.Text = "上一步";
			this.btnPrev.Click += new System.EventHandler(this.btnPrev_Click);
			// 
			// pnlHome
			// 
			this.pnlHome.BackColor = System.Drawing.SystemColors.Window;
			this.pnlHome.Controls.Add(this.label1);
			this.pnlHome.Controls.Add(this.pbxHome);
			this.pnlHome.Dock = System.Windows.Forms.DockStyle.Fill;
			this.pnlHome.Location = new System.Drawing.Point(0, 0);
			this.pnlHome.Name = "pnlHome";
			this.pnlHome.Size = new System.Drawing.Size(572, 350);
			this.pnlHome.TabIndex = 2;
			// 
			// label1
			// 
			this.label1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label1.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label1.Location = new System.Drawing.Point(164, 36);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(260, 23);
			this.label1.TabIndex = 2;
			this.label1.Text = "本向导将帮助您向图书共享社区添加新书";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pbxHome
			// 
			this.pbxHome.Dock = System.Windows.Forms.DockStyle.Left;
			this.pbxHome.Image = ((System.Drawing.Image)(resources.GetObject("pbxHome.Image")));
			this.pbxHome.Location = new System.Drawing.Point(0, 0);
			this.pbxHome.Name = "pbxHome";
			this.pbxHome.Size = new System.Drawing.Size(144, 350);
			this.pbxHome.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pbxHome.TabIndex = 1;
			this.pbxHome.TabStop = false;
			// 
			// pnlFinish
			// 
			this.pnlFinish.BackColor = System.Drawing.SystemColors.Window;
			this.pnlFinish.Controls.Add(this.label23);
			this.pnlFinish.Controls.Add(this.pictureBox2);
			this.pnlFinish.Dock = System.Windows.Forms.DockStyle.Fill;
			this.pnlFinish.Location = new System.Drawing.Point(0, 0);
			this.pnlFinish.Name = "pnlFinish";
			this.pnlFinish.Size = new System.Drawing.Size(572, 350);
			this.pnlFinish.TabIndex = 2;
			this.pnlFinish.Visible = false;
			// 
			// label23
			// 
			this.label23.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label23.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label23.Location = new System.Drawing.Point(180, 36);
			this.label23.Name = "label23";
			this.label23.Size = new System.Drawing.Size(240, 23);
			this.label23.TabIndex = 4;
			this.label23.Text = "完成！";
			this.label23.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pictureBox2
			// 
			this.pictureBox2.Dock = System.Windows.Forms.DockStyle.Left;
			this.pictureBox2.Location = new System.Drawing.Point(0, 0);
			this.pictureBox2.Name = "pictureBox2";
			this.pictureBox2.Size = new System.Drawing.Size(144, 350);
			this.pictureBox2.TabIndex = 3;
			this.pictureBox2.TabStop = false;
			// 
			// pnlFirst
			// 
			this.pnlFirst.BackColor = System.Drawing.SystemColors.Control;
			this.pnlFirst.Controls.Add(this.pnlFill_First);
			this.pnlFirst.Controls.Add(this.pnlTop_First);
			this.pnlFirst.Dock = System.Windows.Forms.DockStyle.Fill;
			this.pnlFirst.Location = new System.Drawing.Point(0, 0);
			this.pnlFirst.Name = "pnlFirst";
			this.pnlFirst.Size = new System.Drawing.Size(572, 350);
			this.pnlFirst.TabIndex = 2;
			this.pnlFirst.Visible = false;
			// 
			// pnlFill_First
			// 
			this.pnlFill_First.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlFill_First.Controls.Add(this.label27);
			this.pnlFill_First.Controls.Add(this.label28);
			this.pnlFill_First.Controls.Add(this.label29);
			this.pnlFill_First.Controls.Add(this.tbxBookNameChn);
			this.pnlFill_First.Controls.Add(this.tbxBookNameEng);
			this.pnlFill_First.Controls.Add(this.tbxAuthor);
			this.pnlFill_First.Controls.Add(this.tbxTranslator);
			this.pnlFill_First.Controls.Add(this.label20);
			this.pnlFill_First.Controls.Add(this.label4);
			this.pnlFill_First.Controls.Add(this.label13);
			this.pnlFill_First.Controls.Add(this.label16);
			this.pnlFill_First.Controls.Add(this.label24);
			this.pnlFill_First.Controls.Add(this.label25);
			this.pnlFill_First.Controls.Add(this.tbxISBN);
			this.pnlFill_First.Controls.Add(this.tbxPress);
			this.pnlFill_First.Controls.Add(this.label14);
			this.pnlFill_First.Controls.Add(this.cbbDepreciation);
			this.pnlFill_First.Dock = System.Windows.Forms.DockStyle.Fill;
			this.pnlFill_First.Location = new System.Drawing.Point(0, 64);
			this.pnlFill_First.Name = "pnlFill_First";
			this.pnlFill_First.Size = new System.Drawing.Size(572, 286);
			this.pnlFill_First.TabIndex = 1;
			// 
			// label27
			// 
			this.label27.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label27.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label27.Location = new System.Drawing.Point(24, 16);
			this.label27.Name = "label27";
			this.label27.Size = new System.Drawing.Size(100, 16);
			this.label27.TabIndex = 91;
			this.label27.Text = "书籍信息";
			this.label27.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label28
			// 
			this.label28.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label28.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label28.Location = new System.Drawing.Point(24, 44);
			this.label28.Name = "label28";
			this.label28.Size = new System.Drawing.Size(56, 16);
			this.label28.TabIndex = 89;
			this.label28.Text = "中文书名:";
			this.label28.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label29
			// 
			this.label29.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label29.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label29.Location = new System.Drawing.Point(24, 72);
			this.label29.Name = "label29";
			this.label29.Size = new System.Drawing.Size(56, 16);
			this.label29.TabIndex = 90;
			this.label29.Text = "英文书名:";
			this.label29.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// tbxBookNameChn
			// 
			this.tbxBookNameChn.Location = new System.Drawing.Point(92, 40);
			this.tbxBookNameChn.Name = "tbxBookNameChn";
			this.tbxBookNameChn.Size = new System.Drawing.Size(448, 21);
			this.tbxBookNameChn.TabIndex = 85;
			this.tbxBookNameChn.Text = "";
			// 
			// tbxBookNameEng
			// 
			this.tbxBookNameEng.Location = new System.Drawing.Point(92, 68);
			this.tbxBookNameEng.Name = "tbxBookNameEng";
			this.tbxBookNameEng.Size = new System.Drawing.Size(448, 21);
			this.tbxBookNameEng.TabIndex = 85;
			this.tbxBookNameEng.Text = "";
			// 
			// tbxAuthor
			// 
			this.tbxAuthor.Location = new System.Drawing.Point(88, 184);
			this.tbxAuthor.Name = "tbxAuthor";
			this.tbxAuthor.Size = new System.Drawing.Size(168, 21);
			this.tbxAuthor.TabIndex = 85;
			this.tbxAuthor.Text = "";
			// 
			// tbxTranslator
			// 
			this.tbxTranslator.Location = new System.Drawing.Point(92, 212);
			this.tbxTranslator.Name = "tbxTranslator";
			this.tbxTranslator.Size = new System.Drawing.Size(168, 21);
			this.tbxTranslator.TabIndex = 85;
			this.tbxTranslator.Text = "";
			// 
			// label20
			// 
			this.label20.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label20.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label20.Location = new System.Drawing.Point(24, 156);
			this.label20.Name = "label20";
			this.label20.Size = new System.Drawing.Size(100, 16);
			this.label20.TabIndex = 91;
			this.label20.Text = "编著";
			this.label20.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label4
			// 
			this.label4.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label4.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label4.Location = new System.Drawing.Point(24, 188);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(56, 16);
			this.label4.TabIndex = 89;
			this.label4.Text = "作者:";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label13
			// 
			this.label13.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label13.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label13.Location = new System.Drawing.Point(24, 216);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(56, 16);
			this.label13.TabIndex = 90;
			this.label13.Text = "译者:";
			this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label16
			// 
			this.label16.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label16.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label16.Location = new System.Drawing.Point(304, 156);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(100, 16);
			this.label16.TabIndex = 91;
			this.label16.Text = "出版";
			this.label16.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label24
			// 
			this.label24.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label24.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label24.Location = new System.Drawing.Point(304, 188);
			this.label24.Name = "label24";
			this.label24.Size = new System.Drawing.Size(48, 16);
			this.label24.TabIndex = 89;
			this.label24.Text = "出版社:";
			this.label24.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label25
			// 
			this.label25.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label25.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label25.Location = new System.Drawing.Point(304, 216);
			this.label25.Name = "label25";
			this.label25.Size = new System.Drawing.Size(48, 16);
			this.label25.TabIndex = 90;
			this.label25.Text = "ISBN:";
			this.label25.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// tbxISBN
			// 
			this.tbxISBN.Location = new System.Drawing.Point(368, 212);
			this.tbxISBN.Name = "tbxISBN";
			this.tbxISBN.Size = new System.Drawing.Size(168, 21);
			this.tbxISBN.TabIndex = 85;
			this.tbxISBN.Text = "";
			// 
			// tbxPress
			// 
			this.tbxPress.Location = new System.Drawing.Point(368, 184);
			this.tbxPress.Name = "tbxPress";
			this.tbxPress.Size = new System.Drawing.Size(168, 21);
			this.tbxPress.TabIndex = 85;
			this.tbxPress.Text = "";
			// 
			// label14
			// 
			this.label14.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label14.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label14.Location = new System.Drawing.Point(24, 100);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(56, 16);
			this.label14.TabIndex = 90;
			this.label14.Text = "折旧程度:";
			this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// cbbDepreciation
			// 
			this.cbbDepreciation.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
			this.cbbDepreciation.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbbDepreciation.ItemHeight = 14;
			this.cbbDepreciation.Items.AddRange(new object[] {
																 "1",
																 "1.5",
																 "2",
																 "2.5",
																 "3",
																 "3.5",
																 "4",
																 "4.5",
																 "5"});
			this.cbbDepreciation.Location = new System.Drawing.Point(92, 96);
			this.cbbDepreciation.MaxDropDownItems = 9;
			this.cbbDepreciation.Name = "cbbDepreciation";
			this.cbbDepreciation.Size = new System.Drawing.Size(100, 20);
			this.cbbDepreciation.TabIndex = 100;
			this.cbbDepreciation.DrawItem += new System.Windows.Forms.DrawItemEventHandler(this.cbbDepreciation_DrawItem);
			// 
			// pnlTop_First
			// 
			this.pnlTop_First.BackColor = System.Drawing.SystemColors.Window;
			this.pnlTop_First.Controls.Add(this.label2);
			this.pnlTop_First.Controls.Add(this.pictureBox1);
			this.pnlTop_First.Controls.Add(this.label3);
			this.pnlTop_First.Dock = System.Windows.Forms.DockStyle.Top;
			this.pnlTop_First.Location = new System.Drawing.Point(0, 0);
			this.pnlTop_First.Name = "pnlTop_First";
			this.pnlTop_First.Size = new System.Drawing.Size(572, 64);
			this.pnlTop_First.TabIndex = 0;
			// 
			// label2
			// 
			this.label2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label2.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label2.Location = new System.Drawing.Point(16, 16);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(100, 16);
			this.label2.TabIndex = 1;
			this.label2.Text = "基本信息";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pictureBox1
			// 
			this.pictureBox1.Anchor = System.Windows.Forms.AnchorStyles.Right;
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(504, 8);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(48, 48);
			this.pictureBox1.TabIndex = 0;
			this.pictureBox1.TabStop = false;
			// 
			// label3
			// 
			this.label3.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label3.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label3.Location = new System.Drawing.Point(44, 32);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(388, 16);
			this.label3.TabIndex = 1;
			this.label3.Text = "请输入你想共享的书的中英文书名、作者（译者）、出版社等基本信息。";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pnlSecond
			// 
			this.pnlSecond.BackColor = System.Drawing.SystemColors.Control;
			this.pnlSecond.Controls.Add(this.tbcMain_Second);
			this.pnlSecond.Controls.Add(this.pnlTop_Second);
			this.pnlSecond.Dock = System.Windows.Forms.DockStyle.Fill;
			this.pnlSecond.Location = new System.Drawing.Point(0, 0);
			this.pnlSecond.Name = "pnlSecond";
			this.pnlSecond.Size = new System.Drawing.Size(572, 350);
			this.pnlSecond.TabIndex = 2;
			this.pnlSecond.Visible = false;
			// 
			// tbcMain_Second
			// 
			this.tbcMain_Second.Controls.Add(this.tbpSummary);
			this.tbcMain_Second.Controls.Add(this.tbpIndex);
			this.tbcMain_Second.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tbcMain_Second.Location = new System.Drawing.Point(0, 64);
			this.tbcMain_Second.Name = "tbcMain_Second";
			this.tbcMain_Second.SelectedIndex = 0;
			this.tbcMain_Second.Size = new System.Drawing.Size(572, 286);
			this.tbcMain_Second.TabIndex = 2;
			// 
			// tbpSummary
			// 
			this.tbpSummary.Controls.Add(this.rtbSummary);
			this.tbpSummary.Controls.Add(this.panel1);
			this.tbpSummary.DockPadding.All = 4;
			this.tbpSummary.Location = new System.Drawing.Point(4, 21);
			this.tbpSummary.Name = "tbpSummary";
			this.tbpSummary.Size = new System.Drawing.Size(564, 261);
			this.tbpSummary.TabIndex = 0;
			this.tbpSummary.Text = "简介";
			// 
			// rtbSummary
			// 
			this.rtbSummary.Dock = System.Windows.Forms.DockStyle.Fill;
			this.rtbSummary.Location = new System.Drawing.Point(4, 32);
			this.rtbSummary.MaxLength = 3500;
			this.rtbSummary.Name = "rtbSummary";
			this.rtbSummary.Size = new System.Drawing.Size(556, 225);
			this.rtbSummary.TabIndex = 7;
			this.rtbSummary.Text = "暂无简介信息";
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.llbSave_Summary);
			this.panel1.Controls.Add(this.llbEdit_Summary);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel1.Location = new System.Drawing.Point(4, 4);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(556, 28);
			this.panel1.TabIndex = 5;
			// 
			// llbSave_Summary
			// 
			this.llbSave_Summary.Enabled = false;
			this.llbSave_Summary.Location = new System.Drawing.Point(40, 8);
			this.llbSave_Summary.Name = "llbSave_Summary";
			this.llbSave_Summary.Size = new System.Drawing.Size(32, 16);
			this.llbSave_Summary.TabIndex = 1;
			this.llbSave_Summary.TabStop = true;
			this.llbSave_Summary.Text = "完成";
			this.llbSave_Summary.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.llbSave_Summary_LinkClicked);
			// 
			// llbEdit_Summary
			// 
			this.llbEdit_Summary.Location = new System.Drawing.Point(0, 8);
			this.llbEdit_Summary.Name = "llbEdit_Summary";
			this.llbEdit_Summary.Size = new System.Drawing.Size(32, 16);
			this.llbEdit_Summary.TabIndex = 0;
			this.llbEdit_Summary.TabStop = true;
			this.llbEdit_Summary.Text = "编辑";
			this.llbEdit_Summary.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.llbEdit_Summary_LinkClicked);
			// 
			// tbpIndex
			// 
			this.tbpIndex.Controls.Add(this.rtbIndex);
			this.tbpIndex.Controls.Add(this.pnlTop_Preview);
			this.tbpIndex.DockPadding.All = 4;
			this.tbpIndex.Location = new System.Drawing.Point(4, 21);
			this.tbpIndex.Name = "tbpIndex";
			this.tbpIndex.Size = new System.Drawing.Size(564, 261);
			this.tbpIndex.TabIndex = 1;
			this.tbpIndex.Text = "目录";
			// 
			// rtbIndex
			// 
			this.rtbIndex.Dock = System.Windows.Forms.DockStyle.Fill;
			this.rtbIndex.Location = new System.Drawing.Point(4, 32);
			this.rtbIndex.MaxLength = 3500;
			this.rtbIndex.Name = "rtbIndex";
			this.rtbIndex.Size = new System.Drawing.Size(556, 225);
			this.rtbIndex.TabIndex = 6;
			this.rtbIndex.Text = "暂无目录信息";
			// 
			// pnlTop_Preview
			// 
			this.pnlTop_Preview.Controls.Add(this.llbSave_Index);
			this.pnlTop_Preview.Controls.Add(this.llbEdit_Index);
			this.pnlTop_Preview.Dock = System.Windows.Forms.DockStyle.Top;
			this.pnlTop_Preview.Location = new System.Drawing.Point(4, 4);
			this.pnlTop_Preview.Name = "pnlTop_Preview";
			this.pnlTop_Preview.Size = new System.Drawing.Size(556, 28);
			this.pnlTop_Preview.TabIndex = 4;
			// 
			// llbSave_Index
			// 
			this.llbSave_Index.Enabled = false;
			this.llbSave_Index.Location = new System.Drawing.Point(40, 8);
			this.llbSave_Index.Name = "llbSave_Index";
			this.llbSave_Index.Size = new System.Drawing.Size(32, 16);
			this.llbSave_Index.TabIndex = 1;
			this.llbSave_Index.TabStop = true;
			this.llbSave_Index.Text = "完成";
			this.llbSave_Index.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.llbSave_Index_LinkClicked);
			// 
			// llbEdit_Index
			// 
			this.llbEdit_Index.Location = new System.Drawing.Point(0, 8);
			this.llbEdit_Index.Name = "llbEdit_Index";
			this.llbEdit_Index.Size = new System.Drawing.Size(32, 16);
			this.llbEdit_Index.TabIndex = 0;
			this.llbEdit_Index.TabStop = true;
			this.llbEdit_Index.Text = "编辑";
			this.llbEdit_Index.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.llbEdit_Index_LinkClicked);
			// 
			// pnlTop_Second
			// 
			this.pnlTop_Second.BackColor = System.Drawing.SystemColors.Window;
			this.pnlTop_Second.Controls.Add(this.label5);
			this.pnlTop_Second.Controls.Add(this.pbxPoint_Second);
			this.pnlTop_Second.Controls.Add(this.label6);
			this.pnlTop_Second.Dock = System.Windows.Forms.DockStyle.Top;
			this.pnlTop_Second.Location = new System.Drawing.Point(0, 0);
			this.pnlTop_Second.Name = "pnlTop_Second";
			this.pnlTop_Second.Size = new System.Drawing.Size(572, 64);
			this.pnlTop_Second.TabIndex = 1;
			// 
			// label5
			// 
			this.label5.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label5.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label5.Location = new System.Drawing.Point(16, 16);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(100, 16);
			this.label5.TabIndex = 1;
			this.label5.Text = "简介和目录";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pbxPoint_Second
			// 
			this.pbxPoint_Second.Anchor = System.Windows.Forms.AnchorStyles.Right;
			this.pbxPoint_Second.Image = ((System.Drawing.Image)(resources.GetObject("pbxPoint_Second.Image")));
			this.pbxPoint_Second.Location = new System.Drawing.Point(504, 8);
			this.pbxPoint_Second.Name = "pbxPoint_Second";
			this.pbxPoint_Second.Size = new System.Drawing.Size(48, 48);
			this.pbxPoint_Second.TabIndex = 0;
			this.pbxPoint_Second.TabStop = false;
			// 
			// label6
			// 
			this.label6.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label6.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label6.Location = new System.Drawing.Point(44, 36);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(256, 16);
			this.label6.TabIndex = 1;
			this.label6.Text = "您可以分别添加该书的简介和目录。";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pnlThird
			// 
			this.pnlThird.BackColor = System.Drawing.SystemColors.Control;
			this.pnlThird.Controls.Add(this.tbcMain_BookDetail);
			this.pnlThird.Controls.Add(this.pnlTop_Third);
			this.pnlThird.Dock = System.Windows.Forms.DockStyle.Fill;
			this.pnlThird.Location = new System.Drawing.Point(0, 0);
			this.pnlThird.Name = "pnlThird";
			this.pnlThird.Size = new System.Drawing.Size(572, 350);
			this.pnlThird.TabIndex = 2;
			this.pnlThird.Visible = false;
			// 
			// tbcMain_BookDetail
			// 
			this.tbcMain_BookDetail.Controls.Add(this.tbpGeneral_BookDetail);
			this.tbcMain_BookDetail.Controls.Add(this.tbpSummary_BookDetail);
			this.tbcMain_BookDetail.Controls.Add(this.tpIndex_BookDetail);
			this.tbcMain_BookDetail.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tbcMain_BookDetail.Location = new System.Drawing.Point(0, 64);
			this.tbcMain_BookDetail.Name = "tbcMain_BookDetail";
			this.tbcMain_BookDetail.SelectedIndex = 0;
			this.tbcMain_BookDetail.Size = new System.Drawing.Size(572, 286);
			this.tbcMain_BookDetail.TabIndex = 3;
			// 
			// tbpGeneral_BookDetail
			// 
			this.tbpGeneral_BookDetail.Controls.Add(this.llbOwner_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.label7);
			this.tbpGeneral_BookDetail.Controls.Add(this.pbxCoverPage_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.button1);
			this.tbpGeneral_BookDetail.Controls.Add(this.label11);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblPress_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.label8);
			this.tbpGeneral_BookDetail.Controls.Add(this.label9);
			this.tbpGeneral_BookDetail.Controls.Add(this.label10);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblBookNameChn_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblBookNameEng_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblAuthor_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblTranslator_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.label12);
			this.tbpGeneral_BookDetail.Controls.Add(this.label15);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblISBN_BookDetail);
			this.tbpGeneral_BookDetail.Location = new System.Drawing.Point(4, 21);
			this.tbpGeneral_BookDetail.Name = "tbpGeneral_BookDetail";
			this.tbpGeneral_BookDetail.Size = new System.Drawing.Size(564, 261);
			this.tbpGeneral_BookDetail.TabIndex = 0;
			this.tbpGeneral_BookDetail.Text = "常规";
			// 
			// llbOwner_BookDetail
			// 
			this.llbOwner_BookDetail.Location = new System.Drawing.Point(200, 132);
			this.llbOwner_BookDetail.Name = "llbOwner_BookDetail";
			this.llbOwner_BookDetail.Size = new System.Drawing.Size(152, 16);
			this.llbOwner_BookDetail.TabIndex = 76;
			this.llbOwner_BookDetail.TabStop = true;
			this.llbOwner_BookDetail.Text = "lblOwner_BookDetail";
			// 
			// label7
			// 
			this.label7.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label7.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label7.Location = new System.Drawing.Point(136, 132);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(60, 17);
			this.label7.TabIndex = 74;
			this.label7.Text = "所有者:";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pbxCoverPage_BookDetail
			// 
			this.pbxCoverPage_BookDetail.Image = ((System.Drawing.Image)(resources.GetObject("pbxCoverPage_BookDetail.Image")));
			this.pbxCoverPage_BookDetail.Location = new System.Drawing.Point(20, 20);
			this.pbxCoverPage_BookDetail.Name = "pbxCoverPage_BookDetail";
			this.pbxCoverPage_BookDetail.Size = new System.Drawing.Size(88, 110);
			this.pbxCoverPage_BookDetail.TabIndex = 72;
			this.pbxCoverPage_BookDetail.TabStop = false;
			// 
			// button1
			// 
			this.button1.Enabled = false;
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button1.Image = ((System.Drawing.Image)(resources.GetObject("button1.Image")));
			this.button1.Location = new System.Drawing.Point(12, 12);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(104, 128);
			this.button1.TabIndex = 71;
			// 
			// label11
			// 
			this.label11.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label11.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label11.Location = new System.Drawing.Point(136, 92);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(60, 17);
			this.label11.TabIndex = 68;
			this.label11.Text = "出版社:";
			this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblPress_BookDetail
			// 
			this.lblPress_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblPress_BookDetail.Location = new System.Drawing.Point(200, 92);
			this.lblPress_BookDetail.Name = "lblPress_BookDetail";
			this.lblPress_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblPress_BookDetail.TabIndex = 69;
			this.lblPress_BookDetail.Text = "lblPress_BookDetail";
			this.lblPress_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label8
			// 
			this.label8.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label8.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label8.Location = new System.Drawing.Point(136, 72);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(60, 17);
			this.label8.TabIndex = 60;
			this.label8.Text = "译者:";
			this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label9
			// 
			this.label9.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label9.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label9.Location = new System.Drawing.Point(136, 52);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(60, 17);
			this.label9.TabIndex = 59;
			this.label9.Text = "作者:";
			this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label10
			// 
			this.label10.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label10.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label10.Location = new System.Drawing.Point(136, 32);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(60, 17);
			this.label10.TabIndex = 66;
			this.label10.Text = "英文书名:";
			this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblBookNameChn_BookDetail
			// 
			this.lblBookNameChn_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblBookNameChn_BookDetail.Location = new System.Drawing.Point(200, 12);
			this.lblBookNameChn_BookDetail.Name = "lblBookNameChn_BookDetail";
			this.lblBookNameChn_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblBookNameChn_BookDetail.TabIndex = 65;
			this.lblBookNameChn_BookDetail.Text = "lblBookNameChn_BookDetail";
			this.lblBookNameChn_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblBookNameEng_BookDetail
			// 
			this.lblBookNameEng_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblBookNameEng_BookDetail.Location = new System.Drawing.Point(200, 32);
			this.lblBookNameEng_BookDetail.Name = "lblBookNameEng_BookDetail";
			this.lblBookNameEng_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblBookNameEng_BookDetail.TabIndex = 64;
			this.lblBookNameEng_BookDetail.Text = "lblBookNameEng_BookDetail";
			this.lblBookNameEng_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblAuthor_BookDetail
			// 
			this.lblAuthor_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblAuthor_BookDetail.Location = new System.Drawing.Point(200, 52);
			this.lblAuthor_BookDetail.Name = "lblAuthor_BookDetail";
			this.lblAuthor_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblAuthor_BookDetail.TabIndex = 63;
			this.lblAuthor_BookDetail.Text = "lblAuthor_BookDetail";
			this.lblAuthor_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblTranslator_BookDetail
			// 
			this.lblTranslator_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblTranslator_BookDetail.Location = new System.Drawing.Point(200, 72);
			this.lblTranslator_BookDetail.Name = "lblTranslator_BookDetail";
			this.lblTranslator_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblTranslator_BookDetail.TabIndex = 62;
			this.lblTranslator_BookDetail.Text = "lblTranslator_BookDetail";
			this.lblTranslator_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label12
			// 
			this.label12.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label12.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label12.Location = new System.Drawing.Point(136, 12);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(64, 17);
			this.label12.TabIndex = 61;
			this.label12.Text = "中文书名:";
			this.label12.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label15
			// 
			this.label15.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label15.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label15.Location = new System.Drawing.Point(136, 112);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(60, 17);
			this.label15.TabIndex = 67;
			this.label15.Text = "ISBN:";
			this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblISBN_BookDetail
			// 
			this.lblISBN_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblISBN_BookDetail.Location = new System.Drawing.Point(200, 112);
			this.lblISBN_BookDetail.Name = "lblISBN_BookDetail";
			this.lblISBN_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblISBN_BookDetail.TabIndex = 70;
			this.lblISBN_BookDetail.Text = "lblISBN_BookDetail";
			this.lblISBN_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// tbpSummary_BookDetail
			// 
			this.tbpSummary_BookDetail.Controls.Add(this.rtbSummary_BookDetail);
			this.tbpSummary_BookDetail.DockPadding.All = 4;
			this.tbpSummary_BookDetail.Location = new System.Drawing.Point(4, 21);
			this.tbpSummary_BookDetail.Name = "tbpSummary_BookDetail";
			this.tbpSummary_BookDetail.Size = new System.Drawing.Size(564, 261);
			this.tbpSummary_BookDetail.TabIndex = 1;
			this.tbpSummary_BookDetail.Text = "摘要";
			this.tbpSummary_BookDetail.Visible = false;
			// 
			// rtbSummary_BookDetail
			// 
			this.rtbSummary_BookDetail.Dock = System.Windows.Forms.DockStyle.Fill;
			this.rtbSummary_BookDetail.Location = new System.Drawing.Point(4, 4);
			this.rtbSummary_BookDetail.MaxLength = 3500;
			this.rtbSummary_BookDetail.Name = "rtbSummary_BookDetail";
			this.rtbSummary_BookDetail.ReadOnly = true;
			this.rtbSummary_BookDetail.Size = new System.Drawing.Size(556, 253);
			this.rtbSummary_BookDetail.TabIndex = 1;
			this.rtbSummary_BookDetail.Text = "";
			// 
			// tpIndex_BookDetail
			// 
			this.tpIndex_BookDetail.Controls.Add(this.rtbIndex_BookDetail);
			this.tpIndex_BookDetail.DockPadding.All = 4;
			this.tpIndex_BookDetail.Location = new System.Drawing.Point(4, 21);
			this.tpIndex_BookDetail.Name = "tpIndex_BookDetail";
			this.tpIndex_BookDetail.Size = new System.Drawing.Size(564, 261);
			this.tpIndex_BookDetail.TabIndex = 2;
			this.tpIndex_BookDetail.Text = "目录";
			this.tpIndex_BookDetail.Visible = false;
			// 
			// rtbIndex_BookDetail
			// 
			this.rtbIndex_BookDetail.Dock = System.Windows.Forms.DockStyle.Fill;
			this.rtbIndex_BookDetail.Location = new System.Drawing.Point(4, 4);
			this.rtbIndex_BookDetail.MaxLength = 3500;
			this.rtbIndex_BookDetail.Name = "rtbIndex_BookDetail";
			this.rtbIndex_BookDetail.ReadOnly = true;
			this.rtbIndex_BookDetail.Size = new System.Drawing.Size(556, 253);
			this.rtbIndex_BookDetail.TabIndex = 2;
			this.rtbIndex_BookDetail.Text = "";
			// 
			// pnlTop_Third
			// 
			this.pnlTop_Third.BackColor = System.Drawing.SystemColors.Window;
			this.pnlTop_Third.Controls.Add(this.label21);
			this.pnlTop_Third.Controls.Add(this.pbxPoint_Third);
			this.pnlTop_Third.Controls.Add(this.label22);
			this.pnlTop_Third.Dock = System.Windows.Forms.DockStyle.Top;
			this.pnlTop_Third.Location = new System.Drawing.Point(0, 0);
			this.pnlTop_Third.Name = "pnlTop_Third";
			this.pnlTop_Third.Size = new System.Drawing.Size(572, 64);
			this.pnlTop_Third.TabIndex = 2;
			// 
			// label21
			// 
			this.label21.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label21.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label21.Location = new System.Drawing.Point(16, 16);
			this.label21.Name = "label21";
			this.label21.Size = new System.Drawing.Size(100, 16);
			this.label21.TabIndex = 1;
			this.label21.Text = "预览全部";
			this.label21.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pbxPoint_Third
			// 
			this.pbxPoint_Third.Anchor = System.Windows.Forms.AnchorStyles.Right;
			this.pbxPoint_Third.Image = ((System.Drawing.Image)(resources.GetObject("pbxPoint_Third.Image")));
			this.pbxPoint_Third.Location = new System.Drawing.Point(504, 8);
			this.pbxPoint_Third.Name = "pbxPoint_Third";
			this.pbxPoint_Third.Size = new System.Drawing.Size(48, 48);
			this.pbxPoint_Third.TabIndex = 0;
			this.pbxPoint_Third.TabStop = false;
			// 
			// label22
			// 
			this.label22.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label22.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label22.Location = new System.Drawing.Point(44, 32);
			this.label22.Name = "label22";
			this.label22.Size = new System.Drawing.Size(396, 16);
			this.label22.TabIndex = 1;
			this.label22.Text = "按“保存”，以下所有信息将被系统接收。";
			this.label22.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// ilRatingIcon
			// 
			this.ilRatingIcon.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.ilRatingIcon.ImageSize = new System.Drawing.Size(64, 12);
			this.ilRatingIcon.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilRatingIcon.ImageStream")));
			this.ilRatingIcon.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// BookRegisterFrm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.BackColor = System.Drawing.SystemColors.Control;
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(572, 394);
			this.Controls.Add(this.pnlThird);
			this.Controls.Add(this.pnlSecond);
			this.Controls.Add(this.pnlFirst);
			this.Controls.Add(this.pnlHome);
			this.Controls.Add(this.pnlFinish);
			this.Controls.Add(this.pnlBottom);
			this.Name = "BookRegisterFrm";
			this.Text = "BookRegisterFrm";
			this.pnlBottom.ResumeLayout(false);
			this.pnlHome.ResumeLayout(false);
			this.pnlFinish.ResumeLayout(false);
			this.pnlFirst.ResumeLayout(false);
			this.pnlFill_First.ResumeLayout(false);
			this.pnlTop_First.ResumeLayout(false);
			this.pnlSecond.ResumeLayout(false);
			this.tbcMain_Second.ResumeLayout(false);
			this.tbpSummary.ResumeLayout(false);
			this.panel1.ResumeLayout(false);
			this.tbpIndex.ResumeLayout(false);
			this.pnlTop_Preview.ResumeLayout(false);
			this.pnlTop_Second.ResumeLayout(false);
			this.pnlThird.ResumeLayout(false);
			this.tbcMain_BookDetail.ResumeLayout(false);
			this.tbpGeneral_BookDetail.ResumeLayout(false);
			this.tbpSummary_BookDetail.ResumeLayout(false);
			this.tpIndex_BookDetail.ResumeLayout(false);
			this.pnlTop_Third.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		#endregion

		#region 自定义方法
		/// <summary>
		/// 隐藏panelOld，并显示panelNew
		/// </summary>
		/// <param name="panelNew"></param>
		/// <param name="panelOld"></param>
		private void panel_switch(System.Windows.Forms.Panel panelNew, System.Windows.Forms.Panel panelOld)
		{
			if(panelOld!=null && panelOld.Visible)
			{
				panelOld.Visible = false;
			}
			if(panelNew!=null && !panelNew.Visible)
			{
				panelNew.Visible = true;
			}
		}

		/// <summary>
		/// 生成申请函的最后预览
		/// </summary>
		private void generateFinalPreview()
		{
//			string content = this.tbxIndex.Text;
//			content+="\r\n"+"----------------"
//				+"\r\n"+"申请人信息:"
//				+"\r\n"+"RealName："+this.m_curUserInfo.RealName
//				+"\r\n"+"UserName："+this.m_curUserInfo.UserName
//				+"\r\n"+"Address："+this.m_curUserInfo.Address
//				+"\r\n"+"CompanyAddress："+this.m_curUserInfo.CompanyAddress
//				+"\r\n"+"HomePhone："+this.m_curUserInfo.HomePhone
//				+"\r\n"+"Credit：("+this.m_curUserInfo.Credit+"/5)";
//
//			this.rtbMail.Text = content;
			this.lblAuthor_BookDetail.Text = this.tbxAuthor.Text;
			this.lblBookNameChn_BookDetail.Text = this.tbxBookNameChn.Text;
			this.lblBookNameEng_BookDetail.Text = this.tbxBookNameEng.Text;
			this.lblISBN_BookDetail.Text = this.tbxISBN.Text;
			this.lblPress_BookDetail.Text = this.tbxPress.Text;
			this.lblTranslator_BookDetail.Text = this.tbxTranslator.Text;

			this.llbOwner_BookDetail.Text = this.frmMain.CurrentUserInfo.UserName;

			this.rtbIndex_BookDetail.Text = this.rtbIndex.Text;
			this.rtbSummary_BookDetail.Text = this.rtbSummary.Text;
		}
		#endregion

		private void btnCancel_Click(object sender, System.EventArgs e)
		{
			//关闭窗口
			this.Close();
		}

		private void btnNext_Click(object sender, System.EventArgs e)
		{
			switch(this.stage)
			{
				case 0://pnlHome->pnlFirst
					this.btnPrev.Enabled = true;
					this.panel_switch(this.pnlFirst, this.pnlHome);
					this.stage = 1;
					break;

				case 1://pnlFirst->pnlSecond
					this.panel_switch(this.pnlSecond, this.pnlFirst);
					this.stage = 2;
					break;
				case 2://pnlSecond->pnlThird
					this.panel_switch(this.pnlThird, this.pnlSecond);
					this.btnNext.Visible = false;
					this.btnSave.Visible = true;
					this.stage = 3;

					//在rtbPreview中生成所有信息的预览
					generateFinalPreview();
					break;
			}
					
		}

		private void btnPrev_Click(object sender, System.EventArgs e)
		{
			switch(this.stage)
			{
				case 1://pnlHome<-pnlFirst
					this.btnPrev.Enabled = false;
					this.panel_switch(this.pnlHome, this.pnlFirst);
					this.stage = 0;
					break;
				case 2://pnlFirst<-pnlSecond
					this.panel_switch(this.pnlFirst, this.pnlSecond);
					this.stage = 1;
					break;
				case 3://pnlSecond<-pnlThird
					this.panel_switch(this.pnlSecond, this.pnlThird);
					this.btnNext.Visible = true;
					this.btnSave.Visible = false;
					this.stage = 2;
					break;
			}
		
		}

		private void llbEdit_Index_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			//调整linklabel的可用性
			this.llbEdit_Index.Enabled = false;
			this.llbSave_Index.Enabled = true;

			//使tbsPreview可编辑
			this.rtbIndex.ReadOnly = false;
		}

		private void llbSave_Index_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			//调整linklabel的可用性
			this.llbSave_Index.Enabled = false;			
			this.llbEdit_Index.Enabled = true;

			//使tbsPreview不可编辑
			this.rtbIndex.ReadOnly = true;
		}

		private void llbEdit_Summary_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			//调整linklabel的可用性
			this.llbEdit_Summary.Enabled = false;
			this.llbSave_Summary.Enabled = true;

			//使tbsPreview可编辑
			this.rtbSummary.ReadOnly = false;
		}

		private void llbSave_Summary_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			//调整linklabel的可用性
			this.llbSave_Summary.Enabled = false;			
			this.llbEdit_Summary.Enabled = true;

			//使tbsPreview不可编辑
			this.rtbSummary.ReadOnly = true;
		}

		private void btnFinish_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}


		private void btnSave_Click(object sender, System.EventArgs e)
		{
			//将用户登录的书籍信息保存到服务器
			DataSetBook.BOOK_INFORow row = this.frmMain.DsBook.BOOK_INFO.NewBOOK_INFORow();
			row.Author = this.lblAuthor_BookDetail.Text;
			row.BookNameChn = this.lblBookNameChn_BookDetail.Text;
			row.BookNameEng = this.lblBookNameEng_BookDetail.Text;
			row.Contents = this.rtbIndex_BookDetail.Text;
			row.ISBN = this.lblISBN_BookDetail.Text;
			row.Owner = this.frmMain.CurrentUserInfo.ID;
			row.Press = this.lblPress_BookDetail.Text;
			row.Status = Enum.GetName(typeof(BookStatusTypeEnum),BookStatusTypeEnum.FREE);
			row.Summary = this.rtbSummary_BookDetail.Text;
			row.Translator = this.lblTranslator_BookDetail.Text;

			this.frmMain.DsBook.BOOK_INFO.AddBOOK_INFORow(row);

			//切换panel
			this.panel_switch(this.pnlFinish, this.pnlThird);

			//调整按钮可见性
			this.btnPrev.Visible = false;
			this.btnSave.Visible = false;
			this.btnCancel.Visible = false;
			this.btnFinish.Visible = true;
		}

		private void cbbDepreciation_DrawItem(object sender, System.Windows.Forms.DrawItemEventArgs e)
		{
			int i = e.Index;
			if(i<0 || i>=this.ilRatingIcon.Images.Count)
				return;
			Image img = this.ilRatingIcon.Images[e.Index];
			e.DrawBackground();
			e.Graphics.DrawImageUnscaled(img, e.Bounds.X, e.Bounds.Y);
			e.DrawFocusRectangle();

		}



	}
}
